/*
 * ILI9341_Display_Clear.h
 *
 *  Created on: 2024/11/18
 *      Author: egaono-electronics
 */

#ifndef ILI9341_DISPLAY_CLEAR_H_
#define ILI9341_DISPLAY_CLEAR_H_

#include "Dev_Conf.h"

#include def_Header_HAL


//----------------------------------------------------------
// 画面表示をクリアする。
//----------------------------------------------------------
// 引数;
// uint8_t *puint8_JobNum : 処理番号を格納する変数のポインタ


// 戻り値;
//   -1 : 処理中
//    0 : OK
//    1 : NG
//----------------------------------------------------------
int16_t Clear_Display(uint8_t *puint8_JobNum);



//----------------------------------------------------------
// Space表示 : ILI9341 : 16x16dot
//----------------------------------------------------------
// 引数;
// uint8_t *puint8_JobNum : 処理番号を格納する変数のポインタ

// uint8_t uint8_Oblong : 縦長/横長
//    0 : Lengthwise : 縦長 左
//    1 : Lengthwise : 縦長 右
//    2 : WidthwiseL : 横長 左
//    3 : WidthwiseR : 横長 右

//  uint8_t uint8_Type : 表示選択
//      0 : 通常表示
//      1 : 反転表示
//      2 : 通常表示の上書き
//      3 : 反転表示の上書き

// uint32_t uint32_ColorCode : カラーコード

// uint16_t uint16_StartX : 表示開始位置X
// uint16_t uint16_StartY : 表示開始位置Y

// uint16_t uint16_Length : 表示文字数
// uint8_t *puint8_aData :
//          表示文字コードが格納されているBufferのポインタ


// 戻り値;
//   -1 : 処理中
//    0 : OK終了
//    1 : NG終了
//----------------------------------------------------------
int16_t ILI9341_Display_String_Space(
                                uint8_t *puint8_JobNum,
                                uint8_t uint8_Oblong,
                                uint8_t uint8_Type,
                                uint32_t uint32_ColorCode,
                                uint16_t uint16_StartX,
                                uint16_t uint16_StartY,
                                uint16_t uint16_Length,
                                uint8_t *puint8_aData);



//----------------------------------------------------------
// 描画Bufferに Space をセット : 16x16dot
//----------------------------------------------------------
// 引数;
// int16_t int16_Type :
//    0 : 通常表示
//    1 : 反転表示

// uint16_t uint16_Length : 文字数
// uint8_t *puint8_aBuffer : 描画Bufferのポインタ


// 戻り値:
//    なし
//----------------------------------------------------------
void Draw_String_16x16_Space(int16_t int16_Type,
                             uint16_t uint16_Length,
                             uint8_t *puint8_aBuffer);



#endif /* ILI9341_DISPLAY_CLEAR_H_ */
